> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct upload to a specified location

> Directly uploads a file to a specified location and returns a signed URL for the upload.



## OpenAPI

````yaml post /workspaces/assets/upload/direct
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/upload/direct:
    post:
      tags:
        - Asset Upload
      description: >-
        Directly uploads a file to a specified location and returns a signed URL
        for the upload.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: query
          name: object_id
          schema:
            type: string
          required: true
          description: The ID of the object to be uploaded.
        - in: query
          name: version_id
          schema:
            type: string
          required: true
          description: The version ID of the object to be uploaded.
        - in: query
          name: upload_type
          schema:
            type: string
          required: true
          description: The type of upload.
        - in: query
          name: type
          schema:
            type: string
          required: true
          description: The content type of the file to be uploaded.
        - in: query
          name: object_type
          schema:
            type: string
          required: true
          description: The type of the object to be uploaded.
        - in: query
          name: checksum
          schema:
            type: string
          required: false
          description: The checksum of the file to be uploaded.
      responses:
        '200':
          description: A signed URL for the upload.
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    description: The signed URL for the upload.
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````